com.microfocus.awm.meta.interfaces.validation

## Interface PropertyValidator

-     public interface PropertyValidator

  A sample validator interface for `Property`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validate()`
    `boolean` | `validateCharsPerLine(int value)`
    `boolean` | `validateDateFormat(java.lang.String value)`
    `boolean` | `validateDefaultValue(java.lang.String value)`
    `boolean` | `validateElementType(boolean value)`
    `boolean` | `validateFalseValue(java.lang.String value)`
    `boolean` | `validateID(java.lang.String value)`
    `boolean` | `validateLabel(java.lang.String value)`
    `boolean` | `validateLabelKeys(org.eclipse.emf.common.util.EList<java.lang.String> value)`
    `boolean` | `validateLableKeys(org.eclipse.emf.common.util.EList<java.lang.String> value)`
    `boolean` | `validateMaxLines(int value)`
    `boolean` | `validateRetrieveAllValues(ActionDescriptor value)`
    `boolean` | `validateSpecialProperty(ESpecialProperties value)`
    `boolean` | `validateStaticValue(java.lang.String value)`
    `boolean` | `validateStringDelimiter(java.lang.String value)`
    `boolean` | `validateTrueValue(java.lang.String value)`
    `boolean` | `validateType(ETypes value)`
    `boolean` | `validateUpperCase(boolean value)`
    `boolean` | `validateValueKeys(org.eclipse.emf.common.util.EList<java.lang.String> value)`
    `boolean` | `validateValueMaxLength(int value)`
    `boolean` | `validateValueMinLength(int value)`

- - ### Method Detail

    - #### validate

          boolean validate()

    - #### validateCharsPerLine

          boolean validateCharsPerLine(int value)

    - #### validateDateFormat

          boolean validateDateFormat(java.lang.String value)

    - #### validateDefaultValue

          boolean validateDefaultValue(java.lang.String value)

    - #### validateFalseValue

          boolean validateFalseValue(java.lang.String value)

    - #### validateElementType

          boolean validateElementType(boolean value)

    - #### validateID

          boolean validateID(java.lang.String value)

    - #### validateLabel

          boolean validateLabel(java.lang.String value)

    - #### validateLableKeys

          boolean validateLableKeys(org.eclipse.emf.common.util.EList<java.lang.String> value)

    - #### validateLabelKeys

          boolean validateLabelKeys(org.eclipse.emf.common.util.EList<java.lang.String> value)

    - #### validateMaxLines

          boolean validateMaxLines(int value)

    - #### validateRetrieveAllValues

          boolean validateRetrieveAllValues(ActionDescriptor value)

    - #### validateSpecialProperty

          boolean validateSpecialProperty(ESpecialProperties value)

    - #### validateStaticValue

          boolean validateStaticValue(java.lang.String value)

    - #### validateStringDelimiter

          boolean validateStringDelimiter(java.lang.String value)

    - #### validateTrueValue

          boolean validateTrueValue(java.lang.String value)

    - #### validateType

          boolean validateType(ETypes value)

    - #### validateUpperCase

          boolean validateUpperCase(boolean value)

    - #### validateValueKeys

          boolean validateValueKeys(org.eclipse.emf.common.util.EList<java.lang.String> value)

    - #### validateValueMaxLength

          boolean validateValueMaxLength(int value)

    - #### validateValueMinLength

          boolean validateValueMinLength(int value)

Copyright © 2015 Micro Focus GmbH. All rights reserved.